#ifndef __HISTORY_H
#define __HISTORY_H

#ifdef __cplusplus
extern "C" {
#endif

class History
{
	public:
		History();
		~History();
		
		void clear();
		void add(int data);
		
		bool hasNext();
		bool hasPrevious();
		
		int getNext();
		int getPrevious();
	private:
		int *_history;
		
		int _pos;
		int _count;
};

#ifdef __cplusplus
}
#endif

#endif


